Skip to main content
`Ctrl`+`K`

# TaoFinalizePackage

This function destroys everything in the PETSc/Tao interface to the Tao package. It is called from `PetscFinalize()`.

## Synopsis

    PetscErrorCode TaoFinalizePackage(void)

## See Also

`TaoInitializePackage()`, `PetscFinalize()`, `TaoRegister()`, `TaoRegisterAll()`

## Level

developer

## Location

src/tao/interface/dlregistao.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages